$NetBSD: patch-ao,v 1.10 2004/05/05 23:56:08 markd Exp $

--- configure.orig	2004-04-06 02:55:31.000000000 +1200
+++ configure
@@ -26498,72 +26498,6 @@ _ACEOF
 
 
 
-  echo "$as_me:$LINENO: checking sizeof size_t == sizeof unsigned long" >&5
-echo $ECHO_N "checking sizeof size_t == sizeof unsigned long... $ECHO_C" >&6
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-int
-main ()
-{
-
-    #if SIZEOF_SIZE_T != SIZEOF_UNSIGNED_LONG
-       choke me
-    #endif
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
-      echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-      { { echo "$as_me:$LINENO: error:
-       Apparently on your system our assumption sizeof size_t == sizeof unsigned long
-       does not apply. Please mail kde-devel@kde.org with a description of your system!
-      " >&5
-echo "$as_me: error:
-       Apparently on your system our assumption sizeof size_t == sizeof unsigned long
-       does not apply. Please mail kde-devel@kde.org with a description of your system!
-      " >&2;}
-   { (exit 1); exit 1; }; }
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-
-
 # darwin needs this to initialize the environment
 
 for ac_header in crt_externs.h
@@ -32333,6 +32267,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
 
+#include <sys/param.h>
 #include <sys/mount.h>
 
 
